FixedRounds< R > Class Template Reference

Inherited by algorithms with fixed number of rounds. More...

`#include <seckey.h>`

## Static Public Attributes

static const int | ROUNDS = R
| The number of rounds for the algorithm provided as a constant.

## Detailed Description

template<unsigned int R>
class FixedRounds< R >

Inherited by algorithms with fixed number of rounds.

Template Parameters

  R | the number of rounds used by the algorithm

Definition at line 52 of file seckey.h.

## Member Data Documentation

## ROUNDS

template<unsigned int R>

const int FixedRounds< R >::ROUNDS = R

static

The number of rounds for the algorithm provided as a constant.

Definition at line 56 of file seckey.h.

The documentation for this class was generated from the following file:

- seckey.h